/*
 Navicat Premium Data Transfer

 Source Server         : 自己的阿里云3年mysql
 Source Server Type    : MySQL
 Source Server Version : 50734
 Source Host           : 47.108.115.128:3306
 Source Schema         : sharding2

 Target Server Type    : MySQL
 Target Server Version : 50734
 File Encoding         : 65001

 Date: 21/02/2022 10:35:11
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for t_dict
-- ----------------------------
DROP TABLE IF EXISTS `t_dict`;
CREATE TABLE `t_dict`  (
  `id` bigint(18) NOT NULL COMMENT '主键',
  `tindex` varchar(18) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '名称',
  `tkey` varchar(18) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'key',
  `tvalue` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'value',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '新增时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_tindex`(`tindex`) USING BTREE,
  INDEX `idx_tkey`(`tkey`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_dict
-- ----------------------------
INSERT INTO `t_dict` VALUES (1, '成功', 'SUCCESS', '成功', '2022-02-21 10:12:36');
INSERT INTO `t_dict` VALUES (2, '失败', 'ERROR', '失败', '2022-02-21 10:13:07');

-- ----------------------------
-- Table structure for t_order_2022
-- ----------------------------
DROP TABLE IF EXISTS `t_order_2022`;
CREATE TABLE `t_order_2022`  (
  `id` bigint(18) NOT NULL COMMENT '主键',
  `user_id` bigint(18) NOT NULL COMMENT '用户id',
  `order_num` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '订单编号',
  `money` decimal(20, 0) NULL DEFAULT NULL COMMENT '订单金额',
  `dict_key` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '数据字典表',
  `year` int(10) NULL DEFAULT NULL COMMENT '新增年份',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '新增时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_user_id`(`user_id`) USING BTREE,
  INDEX `idx_dict_key`(`dict_key`) USING BTREE,
  INDEX `idx_year`(`year`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_order_2022
-- ----------------------------
INSERT INTO `t_order_2022` VALUES (1495583698296795137, 772, '34', 360, 'SUCCESS', 2022, '2022-01-03 00:00:00');

-- ----------------------------
-- Table structure for t_order_2023
-- ----------------------------
DROP TABLE IF EXISTS `t_order_2023`;
CREATE TABLE `t_order_2023`  (
  `id` bigint(18) NOT NULL COMMENT '主键',
  `user_id` bigint(18) NOT NULL COMMENT '用户id',
  `order_num` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '订单编号',
  `money` decimal(20, 0) NULL DEFAULT NULL COMMENT '订单金额',
  `dict_key` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '数据字典表',
  `year` int(10) NULL DEFAULT NULL COMMENT '新增年份',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '新增时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_user_id`(`user_id`) USING BTREE,
  INDEX `idx_dict_key`(`dict_key`) USING BTREE,
  INDEX `idx_year`(`year`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_order_2023
-- ----------------------------
INSERT INTO `t_order_2023` VALUES (1495583744379613185, 772, '95', 760, 'SUCCESS', 2023, '2023-01-03 01:00:00');
INSERT INTO `t_order_2023` VALUES (1495583766806556673, 772, '370', 709, 'SUCCESS', 2023, '2023-01-03 02:00:00');

SET FOREIGN_KEY_CHECKS = 1;
